petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetCoordinateName

Gets the name of a coodinate direction associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetCoordinateName(DM dm,PetscInt nf,const char **name)

Not Collective Many br

### Input Parameter

| dm | - the DM Many br
| nf | - number for the DMDA (0, 1, ... dim-1) Many br

### Output Parameter

names -the name of the coordinate direction Many br

Many br

### Keywords

distributed array, get, component name

### See Also

DMDASetCoordinateName(), DMDASetFieldName(), DMDAGetFieldName()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages